From ef9a684471b1a6ed9eca4c77f3dab4e1d855743d Mon Sep 17 00:00:00 2001
From: Thomas Steur <thomas.steur@googlemail.com>
Date: Mon, 30 Jun 2014 07:16:10 +0200
Subject: [PATCH] not sure if this works but basically we want to trigger the
 ui tests on the correct branch of the ui test repo

---
 tests/travis/initiate_ui_tests.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/tests/travis/initiate_ui_tests.sh b/tests/travis/initiate_ui_tests.sh
index 3278e51724..7a8aa9b2c2 100755
--- a/tests/travis/initiate_ui_tests.sh
+++ b/tests/travis/initiate_ui_tests.sh
@@ -18,8 +18,9 @@ COMMIT_MESSAGE=$(git log "$TRAVIS_COMMIT" -1 --pretty=%B)
 
 cd tests/PHPUnit/UI
 
-git checkout master
-git pull --rebase origin master
+UI_BRANCH=`git rev-parse --abbrev-ref HEAD`
+git checkout $UI_BRANCH
+git pull --rebase origin $UI_BRANCH
 
 echo "$TRAVIS_COMMIT
 $TRAVIS_BRANCH" > piwik_commit.txt
@@ -31,7 +32,7 @@ git add ./piwik_commit.txt
 git commit -m "Travis: Initiating build for commit '$TRAVIS_COMMIT' on branch '$TRAVIS_BRANCH': $COMMIT_MESSAGE"
 git remote set-url origin "https://piwik-auto-commit-bot:$PIWIK_AUTOMATION@github.com/piwik/piwik-ui-tests.git"
 
-if ! git push origin master 2> /dev/null; then
+if ! git push origin $UI_BRANCH 2> /dev/null; then
     echo "Failed to push!"
     exit 1
 fi
\ No newline at end of file
-- 
GitLab